%% Function to give a demo for Local Quadrature Reconstruction
% Run this function with a numerical input and the scripts 'visualizeSwissRoll'
% and 'visualizeTeapot' in the current directory to give the demo of LQR on
% different datasets:
% 
% INPUT: 1 - Swiss Roll
%        2 - Rotating Teapot
% 
% As output corresponding figures are generated.
% 
% Please make the sure for the 'Rotating Teapot' set the corresponding mat
% file 'teapots100' is present at the location '../Datasets/teapots100'.

function runLQR(inp)
switch inp
    case 1,
        visualizeSwissRoll;
    case 2,
        visualizeTeapot;
end